=== debian/changelog ===
ocaml-gettext (0.3.4-1build5) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 22:02:03 +0000

ocaml-gettext (0.3.4-1build4) saucy; urgency=low

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Jun 2013 16:07:54 +0100

ocaml-gettext (0.3.4-1build3) saucy; urgency=low

  * Rebuild for new OCaml ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 02 Jun 2013 01:00:59 +0100

ocaml-gettext (0.3.4-1build2) quantal; urgency=low

  * No-change rebuild for current OCaml ABI. 

 -- Michael Bienia <geser@ubuntu.com>  Sat, 26 May 2012 12:53:11 +0200

ocaml-gettext (0.3.4-1build1) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 16:59:17 +0000

ocaml-gettext (0.3.4-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Fix versioned build-deps to ensure smoother backports
  * Switch source package format to 3.0 (quilt)
  * Bump Standards-Versions to 3.9.2
  * Bump debhelper compatibility level to 8

  [ Sylvain Le Gall ]
  * New upstream release
    * Use camomile 0.8.3 (Closes: #636026)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 12 Aug 2011 08:12:16 +0200

ocaml-gettext (0.3.3-1) unstable; urgency=low

  * New upstream release (Closes: #551234)
    * Remove all patches (applied upstream), comment dpatch
      build-dependency
  * Use dh-ocaml 0.9 features, tighten dependency on camomile for automatic
    dependencies computation
  * Upgrade Standards-Version to 3.8.3 (section ocaml)

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 03 Nov 2009 22:10:05 +0000

ocaml-gettext (0.3.2-2) unstable; urgency=low

  * Switch packaging to git
  * Set maintainer to Debian OCaml Maintainers
  * Add dh-ocaml build-dependency (rules/ocaml.mk)
  * Upgrade Standards-Version to 3.8.0 (debian/README.source)
  * Add ${misc:Depends} to dependencies
  * Update debian/copyright file to use
    http://wiki.debian.org/Proposals/CopyrightFormat
  * Add patch camlp4_311 to fix missing dynlink.cma

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 03 Mar 2009 19:57:03 +0100

ocaml-gettext (0.3.2-1) unstable; urgency=low

  * New upstream release

 -- Sylvain Le Gall <gildor@debian.org>  Thu, 05 Jun 2008 20:35:13 +0000

ocaml-gettext (0.3.1-1) unstable; urgency=low

  * New upstream release (Closes: #479305)
  * Reformat debian/control description (Closes: #480337)

 -- Sylvain Le Gall <gildor@debian.org>  Sat, 10 May 2008 00:28:03 +0200

ocaml-gettext (0.3.0-1) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Initial upload (Closes: #305743)

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

 -- Sylvain Le Gall <gildor@debian.org>  Wed, 30 Apr 2008 00:20:58 +0200
