=== debian/control ===
Source: ocaml-gettext
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Sylvain Le Gall <gildor@debian.org>
Build-Depends: cdbs (>= 0.4.52~),
  ocaml-nox (>= 3.11),
  debhelper (>= 8),
  ocaml-findlib,
  libcamomile-ocaml-dev (>= 0.8),
  libfileutils-ocaml-dev,
  xsltproc, docbook-xml, docbook-xsl,
  camlp4, camlp4-extra,
  dh-ocaml (>= 0.9.1~)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-gettext.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-gettext.git
Homepage: http://forge.ocamlcore.org/projects/ocaml-gettext/

Package: libgettext-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml internationalization shared library
 This library provides utilities and libraries to enable localization
 in OCaml programs. It is based on the same principle of GNU gettext.
 .
 The package provides two libraries to do effectively translation :
  - gettext-camomile : pure OCaml implementation of gettext
  - gettext-stub : implementation using the gettext library.
 .
 This package contains shared library.

Package: libgettext-ocaml-dev
Architecture: any
Depends: libcamomile-ocaml-dev,
  libfileutils-ocaml-dev,
  libgettext-ocaml (= ${binary:Version}),
  ${misc:Depends}, ${ocaml:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: OCaml internationalization library
 This library provides utilities and libraries to enable localization
 in OCaml programs. It is based on the same principle of GNU gettext.
 .
 The package provides two libraries to do effectively translation :
  - gettext-camomile : pure OCaml implementation of gettext
  - gettext-stub : implementation using the gettext library.
 .
 This package contains header, OCaml library and devel tools.
