=== debian/changelog ===
ocaml-gettext (0.3.5-2build1) xenial; urgency=medium

  * No-change rebuild against ocaml 4.02.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Wed, 04 Nov 2015 15:01:31 -0600

ocaml-gettext (0.3.5-2) unstable; urgency=medium

  * Team upload.
  * No longer build ml2c_lc as inline function (Closes: #794732)

 -- Hilko Bengen <bengen@debian.org>  Fri, 14 Aug 2015 21:38:10 +0200

ocaml-gettext (0.3.5-1) unstable; urgency=low

  [ Stéphane Glondu ]
  * New upstream release

  [ Sylvain Le Gall ]
  * Remove Sylvain Le Gall from Uploaders.

  [ Mehdi Dogguy ]
  * Team upload.
  * Upload to instable.

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 31 Jul 2015 18:39:50 +0000
