=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Sylvain Le Gall <gildor@debian.org>
 Build-Depends: cdbs (>= 0.4.52~),
   ocaml-nox (>= 3.11),
   debhelper (>= 8),
