=== debian/changelog ===
ocaml-gettext (0.3.7-4build1) eoan; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 06 Sep 2019 15:30:11 +0200

ocaml-gettext (0.3.7-4) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Fix compilation with -safe-string

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 19 Aug 2019 23:14:53 +0200

ocaml-gettext (0.3.7-3) unstable; urgency=medium

  * Fix building on bytecode architectures

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 27 Jul 2019 10:43:38 -0300

ocaml-gettext (0.3.7-2) unstable; urgency=medium

  * New uploader (Closes: #784039)
  * Fix watch file
  * Convert copyright to 1.0 format
  * Update VCS-* to point to salsa
  * Move Standards-Version to 4.4.0:
    - Move to dh

 -- Kyle Robbertze <paddatrapper@debian.org>  Fri, 26 Jul 2019 12:29:26 -0300

ocaml-gettext (0.3.7-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jul 2017 08:33:35 +0200

ocaml-gettext (0.3.5-3) unstable; urgency=medium

  * Team upload.
  * Fix a spelling error (Closes: #848619). Thanks to Eriberto for
    reporting it!

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 21 Dec 2016 14:24:36 +0100
