=== debian/changelog ===
ocaml-gettext (0.4.1-2build1) focal; urgency=medium

  * No-change rebuild against ocaml-nox-4.08.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 21 Feb 2020 07:30:11 +0000

ocaml-gettext (0.4.1-2) unstable; urgency=medium

  * Fix building on bytecode architectures

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 20 Oct 2019 22:22:54 +0200

ocaml-gettext (0.4.1-1) unstable; urgency=medium

  * New upstream version 0.4.1
  * refresh patches
  * Update to dune build system
  * Bump Standards-Version to 4.4.1 (no change)
  * Drop compat to 11 to solve symbol stripping issues

 -- Kyle Robbertze <paddatrapper@debian.org>  Thu, 17 Oct 2019 12:43:13 +0200
