=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: ocaml-gettext
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: camlp4,
                camlp4-extra,
                debhelper (>= 12),
-               debhelper-compat (=12),
+               debhelper-compat (=11),
                dh-ocaml (>= 0.9.1~),
-               docbook-xml,
-               docbook-xsl,
+               libbenchmark-ocaml-dev,
                libcamomile-ocaml-dev (>= 0.8),
+               libdune-ocaml-dev,
                libfileutils-ocaml-dev,
+               liblablgtk3-ocaml-dev,
+               libounit-ocaml-dev,
+               ocaml-dune,
                ocaml-findlib,
-               ocaml-nox (>= 3.11),
-               xsltproc
-Standards-Version: 4.4.0
+               ocaml-nox (>= 3.11)
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-gettext.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-gettext
 Homepage: http://forge.ocamlcore.org/projects/ocaml-gettext/
@@ -40,7 +43,8 @@
          libfileutils-ocaml-dev,
          libgettext-ocaml (= ${binary:Version}),
          ${misc:Depends},
-         ${ocaml:Depends}
+         ${ocaml:Depends},
+         ${shlibs:Depends}
 Provides: ${ocaml:Provides}
 Suggests: ocaml-findlib
 Description: OCaml internationalization library
