=== debian/rules ===
--- 
+++ 
@@ -33,11 +33,11 @@
 	dh $@ --with ocaml
 
 override_dh_auto_clean:
-	make distclean
+	make clean
 
 override_dh_auto_build:
 	[ -f debian/autoreconf.before ] || dh_autoreconf
-	$(MAKE) all
+	$(MAKE) build
 
 override_dh_auto_install:
 	mkdir -p $(DESTDIR)/$(OCAML_STDLIB_DIR)
@@ -45,10 +45,10 @@
 		prefix=$(DESTDIR)/usr sysconfdir=$(DESTDIR)/etc \
 		OCAMLFIND_LDCONF=ignore \
 		DOCDIR='$(DESTDIR)/usr/share/doc/$(PACKAGE_DEV)'
-	# Avoid installing the .so in the -dev package
-	mv $(DESTDIR)/$(OCAML_STDLIB_DIR)/gettext-stub/dllgettextStub.so \
-		$(DESTDIR)/$(OCAML_STDLIB_DIR)/dllgettextStub.so
 	dh_install
 
+# Tests are not compatible with bytecode architectures
 override_dh_auto_test:
-	true
+ifdef ($(OCAML_OPT_ARCH))
+	dh_auto_test
+endif
